1 Reply Latest reply: Jan 8, 2013 10:12 AM by BDAqua
white-apple123 Level 1 Level 1 (0 points)

after downloading any application i would try to use( open it) but instead it would just say you can not use this version of this application with your version of mac os x.

 

and to you guys a heads-up my macbook version is 10.5.8 so does that mean i havet to update the computer to snow leopard 10.6 to fix the downloading problems?

 

and if you guys still dont understand me clearly i can shoot a video of whats wrong with my computer.


MacBook, Mac OS X (10.5.8)